# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name conduit-extra

%global without_haddock 1

# no useful debuginfo for Haskell packages without C sources
%global debug_package %{nil}

Name:           ghc-%{pkg_name}
Version:        1.0.0.1
Release:        2%{?dist}
Summary:        Conduit adapters for common libraries

License:        MIT
Url:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-conduit-devel
# End cabal-rpm deps

%description
The conduit package itself maintains relative small dependencies. The purpose
of this package is to collect commonly used utility functions wrapping other
library dependencies, without depending on heavier-weight dependencies.
The basic idea is that this package should only depend on haskell-platform
packages and conduit.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files
%doc LICENSE


%files devel -f %{name}-devel.files


%changelog
* Fri Sep 12 2014 Jens Petersen <petersen@redhat.com> - 1.0.0.1-2
- disable haddock and no ghc-conduit-extra.files

* Fri Sep 12 2014 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 1.0.0.1-1
- spec file generated by cabal-rpm-0.9.1
